<?php

if (!defined('ABSPATH')) {
    exit();
}

function ppt_file_download_list_elementor_widget_categories( $ppt_download_list_elementor_widget_elements_manager ) {

	$ppt_download_list_elementor_widget_elements_manager->add_category(
		'ppt-category',
		[
			'title' => esc_html__( 'PPT', 'ppt' ),
			'icon' => 'fa fa-plug',
		]
	);
}
add_action( 'elementor/elements/categories_registered', 'ppt_file_download_list_elementor_widget_categories' );

function ppt_register_file_download_list_elementor_widget_categories($ppt_download_list_widget_manager)
{
    require_once __DIR__ . '/widgets/ppt-file-download-list-elementor-widget.php';
    
    $ppt_download_list_widget_manager->register(new \PPT_File_Download_List_Elementor_Widget());
}
add_action( 'elementor/widgets/register', 'ppt_register_file_download_list_elementor_widget_categories' );

function ppt_load_file_download_list_elementor_widget_categories() {
    wp_enqueue_style( 'ppt-file-download-list-widget-style', plugin_dir_url( __FILE__ ) . '/assets/css/ppt-file-download-list-elementor-widget.css' );
    
}

add_action( 'elementor/frontend/after_enqueue_styles', 'ppt_load_file_download_list_elementor_widget_categories' );


